Package lxml :: Module etree :: Class FallbackElementClassLookup |
[frames] | no frames]

# Class FallbackElementClassLookup

            object --+
                     |
    ElementClassLookup --+
                         |
                        FallbackElementClassLookup

Known Subclasses:
  - AttributeBasedElementClassLookup
  - , CustomElementClassLookup
  - , ElementNamespaceClassLookup
  - , ParserBasedElementClassLookup
  - , pyclasslookup.PythonElementClassLookup

FallbackElementClassLookup(self, fallback=None)

Superclass of Element class lookups with additional fallback.

Instance Methods
__init__(self, fallback=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
setFallback(...) Sets the fallback scheme for this lookup method. |
set_fallback(self, lookup) Sets the fallback scheme for this lookup method. |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
| fallback
Inherited from `object`: `__class__`

Method Details

### __init__(self, fallback=None) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__

### setFallback(...) |
Sets the fallback scheme for this lookup method. Deprecated: use `set_fallback()` instead.